# WOK
TKWOK
WOKernel

# WOKernel_SortedImpldepFromIterator Class Reference

`#include <WOKernel_SortedImpldepFromIterator.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKernel_SortedImpldepFromIterator ()
Standard_EXPORT void | FromVertex (const Handle(TCollection_HAsciiString)&V)
Standard_EXPORT void | Reset ()
Standard_EXPORT void | Perform (const Handle(WOKernel_UnitGraph)&G)
Standard_EXPORT Standard_Boolean | More () const
Standard_EXPORT void | Next ()
Standard_EXPORT Standard_Integer | NbVertices () const
Standard_EXPORT const Handle_TCollection_HAsciiString & | Value (const Standard_Integer index) const
Standard_EXPORT Standard_Integer | Visit (const Standard_Integer k, const Handle(WOKernel_UnitGraph)&G)

## Private Attributes

WOKernel_SCMapOfSortedImpldepFromIterator | myVertices
Standard_Integer | myNowIndex
TColStd_StackOfInteger | myStack
GraphTools_ListOfSequenceOfInteger | mySort
GraphTools_ListIteratorOfListOfSequenceOfInteger | myIterator

## Constructor & Destructor Documentation

Standard_EXPORT WOKernel_SortedImpldepFromIterator::WOKernel_SortedImpldepFromIterator | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void WOKernel_SortedImpldepFromIterator::FromVertex | ( | const Handle(TCollection_HAsciiString)& | V | ) |

Standard_EXPORT Standard_Boolean WOKernel_SortedImpldepFromIterator::More | ( |  | ) | const

Standard_EXPORT Standard_Integer WOKernel_SortedImpldepFromIterator::NbVertices | ( |  | ) | const

Standard_EXPORT void WOKernel_SortedImpldepFromIterator::Next | ( |  | ) |

void WOKernel_SortedImpldepFromIterator::operator delete | ( | void * | anAddress | ) | `[inline]`

void* WOKernel_SortedImpldepFromIterator::operator new | ( | size_t | size | ) | `[inline]`

void* WOKernel_SortedImpldepFromIterator::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void WOKernel_SortedImpldepFromIterator::Perform | ( | const Handle(WOKernel_UnitGraph)& | G | ) |

Standard_EXPORT void WOKernel_SortedImpldepFromIterator::Reset | ( |  | ) |

Standard_EXPORT const Handle_TCollection_HAsciiString& WOKernel_SortedImpldepFromIterator::Value | ( | const Standard_Integer | index | ) | const

Standard_EXPORT Standard_Integer WOKernel_SortedImpldepFromIterator::Visit | ( | const Standard_Integer | k,
|  | const Handle(WOKernel_UnitGraph)& | G
| ) |

## Field Documentation

GraphTools_ListIteratorOfListOfSequenceOfInteger WOKernel_SortedImpldepFromIterator::myIterator `[private]`

Standard_Integer WOKernel_SortedImpldepFromIterator::myNowIndex `[private]`

GraphTools_ListOfSequenceOfInteger WOKernel_SortedImpldepFromIterator::mySort `[private]`

TColStd_StackOfInteger WOKernel_SortedImpldepFromIterator::myStack `[private]`

WOKernel_SCMapOfSortedImpldepFromIterator WOKernel_SortedImpldepFromIterator::myVertices `[private]`

The documentation for this class was generated from the following file:

- WOKernel_SortedImpldepFromIterator.hxx